<?php

require "../mt-nft-importer/api-helper.class.php";

if(class_exists('Mtnft_API_Helper')) {
    class Mtnft_API_Helper_Fetcher extends Mtnft_API_Helper {
        public function add_digital_product( $data=array())
		{
			for($i=0; $i< sizeof($data);$i++) {
				$product = $data[$i];
                $post_id = wc_get_product_id_by_sku( $product['id']);

				update_post_meta( $post_id, '_mtnft_sales', $product['numSales'] );
				update_post_meta( $post_id, '_mtnft_presale', $product['isPresale'] );
				update_post_meta( $post_id, '_mtnft_assetContract', $product['assetContract'] );
				update_post_meta( $post_id, '_mtnft_lastSale', $product['lastSale'] );
				update_post_meta( $post_id, '_mtnft_sellOrders', $product['sellOrders']);
				
				$this->set_price($post_id, $product);
			}
			return json_encode(['status' => 'finished', 'current' => sizeof($data)]);
		}
    }
}